Extending Qt Creator Manual | ToolChainManager

Extending Qt Creator Manual 4.5.2

# ToolChainManager Class

(ProjectExplorer::ToolChainManager)

- List of all members, including inherited members

## Public Functions

| ~ToolChainManager() override
void | saveToolChains()

## Signals

void | toolChainAdded(ProjectExplorer::ToolChain *)
void | toolChainRemoved(ProjectExplorer::ToolChain *)
void | toolChainUpdated(ProjectExplorer::ToolChain *)
void | toolChainsChanged()
void | toolChainsLoaded()

## Static Public Members

QSet<Core::Id> | allLanguages()
Utils::FileName | defaultDebugger(const Abi &abi)
void | deregisterToolChain(ToolChain *tc)
QString | displayNameOfLanguageId(const Core::Id &id)
ToolChain * | findToolChain(const QByteArray &id)
QList<ToolChain *> | findToolChains(const Abi &abi)
ToolChainManager * | instance()
bool | isLanguageSupported(const Core::Id &id)
bool | isLoaded()
bool | registerLanguage(const Core::Id &language, const QString &displayName)
bool | registerToolChain(ToolChain *tc)
ToolChain * | toolChain(const ToolChain::Predicate &predicate)
QList<ToolChain *> | toolChains(const ToolChain::Predicate &predicate = ToolChain::Predicate())

## Member Function Documentation

### ToolChainManager::~ToolChainManager()

Destroys the instance of ToolChainManager.

### `[static]` QSet<Core::Id> ToolChainManager::allLanguages()

### `[static]` Utils::FileName ToolChainManager::defaultDebugger(const Abi &abi)

### `[static]` void ToolChainManager::deregisterToolChain(ToolChain *tc)

### `[static]` QString ToolChainManager::displayNameOfLanguageId(const Core::Id &id)

### `[static]` ToolChain *ToolChainManager::findToolChain(const QByteArray &id)

### `[static]` QList<ToolChain *> ToolChainManager::findToolChains(const Abi &abi)

### `[static]` ToolChainManager *ToolChainManager::instance()

### `[static]` bool ToolChainManager::isLanguageSupported(const Core::Id &id)

### `[static]` bool ToolChainManager::isLoaded()

### `[static]` bool ToolChainManager::registerLanguage(const Core::Id &language, const QString &displayName)

### `[static]` bool ToolChainManager::registerToolChain(ToolChain *tc)

### void ToolChainManager::saveToolChains()

### `[static]` ToolChain *ToolChainManager::toolChain(const ToolChain::Predicate &predicate)

### `[signal]` void ToolChainManager::toolChainAdded(ProjectExplorer::ToolChain *)

### `[signal]` void ToolChainManager::toolChainRemoved(ProjectExplorer::ToolChain *)

### `[signal]` void ToolChainManager::toolChainUpdated(ProjectExplorer::ToolChain *)

### `[static]` QList<ToolChain *> ToolChainManager::toolChains(const ToolChain::Predicate &predicate = ToolChain::Predicate())

### `[signal]` void ToolChainManager::toolChainsChanged()

### `[signal]` void ToolChainManager::toolChainsLoaded()